std::__detail::_Executor< _BiIter, _Alloc, _TraitsT, __dfs_mode > Class Template Reference
Regular Expressions » Base and Implementation Classes

`#include <regex_executor.h>`

## Public Types

typedef iterator_traits< _BiIter >::value_type | _CharT
typedef _TraitsT::char_class_type | _ClassT
typedef regex_constants::match_flag_type | _FlagT
typedef _NFA< _TraitsT > | _NFAT
typedef basic_regex< _CharT, _TraitsT > | _RegexT
typedef ::vector< sub_match< _BiIter >, _Alloc > | _ResultsVec

## Public Member Functions

| _Executor (_BiIter __begin, _BiIter __end, _ResultsVec &__results, const _RegexT &__re, _FlagT __flags)
bool | _M_match ()
bool | _M_search ()
bool | _M_search_from_first ()

## Public Attributes

_BiIter | _M_begin
_ResultsVec | _M_cur_results
_BiIter | _M_current
const _BiIter | _M_end
_FlagT | _M_flags
bool | _M_has_sol
const _NFAT & | _M_nfa
const _RegexT & | _M_re
::vector< pair< _BiIter, int > > | _M_rep_count
_ResultsVec & | _M_results
_State_info< __search_mode, _ResultsVec > | _M_states

## Detailed Description

template<typename _BiIter, typename _Alloc, typename _TraitsT, bool __dfs_mode>
class std::__detail::_Executor< _BiIter, _Alloc, _TraitsT, __dfs_mode >

Takes a regex and an input string and does the matching.

The _Executor class has two modes: DFS mode and BFS mode, controlled by the template parameter __dfs_mode.

Definition at line 52 of file regex_executor.h.

## Member Typedef Documentation

## _CharT

template<typename _BiIter , typename _Alloc , typename _TraitsT , bool __dfs_mode>

typedef iterator_traits<_BiIter>::value_type std::__detail::_Executor< _BiIter, _Alloc, _TraitsT, __dfs_mode >::_CharT

Definition at line 61 of file regex_executor.h.

## _ClassT

template<typename _BiIter , typename _Alloc , typename _TraitsT , bool __dfs_mode>

typedef _TraitsT::char_class_type std::__detail::_Executor< _BiIter, _Alloc, _TraitsT, __dfs_mode >::_ClassT

Definition at line 65 of file regex_executor.h.

## _FlagT

template<typename _BiIter , typename _Alloc , typename _TraitsT , bool __dfs_mode>

typedef regex_constants::match_flag_type std::__detail::_Executor< _BiIter, _Alloc, _TraitsT, __dfs_mode >::_FlagT

Definition at line 64 of file regex_executor.h.

## _NFAT

template<typename _BiIter , typename _Alloc , typename _TraitsT , bool __dfs_mode>

typedef _NFA<_TraitsT> std::__detail::_Executor< _BiIter, _Alloc, _TraitsT, __dfs_mode >::_NFAT

Definition at line 66 of file regex_executor.h.

## _RegexT

template<typename _BiIter , typename _Alloc , typename _TraitsT , bool __dfs_mode>

typedef basic_regex<_CharT, _TraitsT> std::__detail::_Executor< _BiIter, _Alloc, _TraitsT, __dfs_mode >::_RegexT

Definition at line 62 of file regex_executor.h.

## _ResultsVec

template<typename _BiIter , typename _Alloc , typename _TraitsT , bool __dfs_mode>

typedef ::vector<sub_match<_BiIter>, _Alloc> std::__detail::_Executor< _BiIter, _Alloc, _TraitsT, __dfs_mode >::_ResultsVec

Definition at line 63 of file regex_executor.h.

## Constructor & Destructor Documentation

## _Executor()

template<typename _BiIter , typename _Alloc , typename _TraitsT , bool __dfs_mode>

std::__detail::_Executor< _BiIter, _Alloc, _TraitsT, __dfs_mode >::_Executor | ( | _BiIter | __begin,
|  | _BiIter | __end,
|  | _ResultsVec & | __results,
|  | const _RegexT & | __re,
|  | _FlagT | __flags
| ) |  |

inline

Definition at line 69 of file regex_executor.h.

## Member Function Documentation

## _M_match()

template<typename _BiIter , typename _Alloc , typename _TraitsT , bool __dfs_mode>

bool std::__detail::_Executor< _BiIter, _Alloc, _TraitsT, __dfs_mode >::_M_match | ( |  | ) |

inline

Definition at line 91 of file regex_executor.h.

## _M_search()

template<typename _BiIter , typename _Alloc , typename _TraitsT , bool __dfs_mode>

bool std::__detail::_Executor< _BiIter, _Alloc, _TraitsT, __dfs_mode >::_M_search | ( |  | ) |

Definition at line 39 of file regex_executor.tcc.

## _M_search_from_first()

template<typename _BiIter , typename _Alloc , typename _TraitsT , bool __dfs_mode>

bool std::__detail::_Executor< _BiIter, _Alloc, _TraitsT, __dfs_mode >::_M_search_from_first | ( |  | ) |

inline

Definition at line 99 of file regex_executor.h.

## Member Data Documentation

## _M_begin

template<typename _BiIter , typename _Alloc , typename _TraitsT , bool __dfs_mode>

_BiIter std::__detail::_Executor< _BiIter, _Alloc, _TraitsT, __dfs_mode >::_M_begin

Definition at line 295 of file regex_executor.h.

## _M_cur_results

template<typename _BiIter , typename _Alloc , typename _TraitsT , bool __dfs_mode>

_ResultsVec std::__detail::_Executor< _BiIter, _Alloc, _TraitsT, __dfs_mode >::_M_cur_results

Definition at line 293 of file regex_executor.h.

## _M_current

template<typename _BiIter , typename _Alloc , typename _TraitsT , bool __dfs_mode>

_BiIter std::__detail::_Executor< _BiIter, _Alloc, _TraitsT, __dfs_mode >::_M_current

Definition at line 294 of file regex_executor.h.

## _M_end

template<typename _BiIter , typename _Alloc , typename _TraitsT , bool __dfs_mode>

const _BiIter std::__detail::_Executor< _BiIter, _Alloc, _TraitsT, __dfs_mode >::_M_end

Definition at line 296 of file regex_executor.h.

## _M_flags

template<typename _BiIter , typename _Alloc , typename _TraitsT , bool __dfs_mode>

_FlagT std::__detail::_Executor< _BiIter, _Alloc, _TraitsT, __dfs_mode >::_M_flags

Definition at line 302 of file regex_executor.h.

## _M_has_sol

template<typename _BiIter , typename _Alloc , typename _TraitsT , bool __dfs_mode>

bool std::__detail::_Executor< _BiIter, _Alloc, _TraitsT, __dfs_mode >::_M_has_sol

Definition at line 304 of file regex_executor.h.

## _M_nfa

template<typename _BiIter , typename _Alloc , typename _TraitsT , bool __dfs_mode>

const _NFAT& std::__detail::_Executor< _BiIter, _Alloc, _TraitsT, __dfs_mode >::_M_nfa

Definition at line 298 of file regex_executor.h.

## _M_re

template<typename _BiIter , typename _Alloc , typename _TraitsT , bool __dfs_mode>

const _RegexT& std::__detail::_Executor< _BiIter, _Alloc, _TraitsT, __dfs_mode >::_M_re

Definition at line 297 of file regex_executor.h.

## _M_rep_count

template<typename _BiIter , typename _Alloc , typename _TraitsT , bool __dfs_mode>

::vector<pair<_BiIter, int> > std::__detail::_Executor< _BiIter, _Alloc, _TraitsT, __dfs_mode >::_M_rep_count

Definition at line 300 of file regex_executor.h.

## _M_results

template<typename _BiIter , typename _Alloc , typename _TraitsT , bool __dfs_mode>

_ResultsVec& std::__detail::_Executor< _BiIter, _Alloc, _TraitsT, __dfs_mode >::_M_results

Definition at line 299 of file regex_executor.h.

## _M_states

template<typename _BiIter , typename _Alloc , typename _TraitsT , bool __dfs_mode>

_State_info<__search_mode, _ResultsVec> std::__detail::_Executor< _BiIter, _Alloc, _TraitsT, __dfs_mode >::_M_states

Definition at line 301 of file regex_executor.h.

The documentation for this class was generated from the following files:

- regex.h
- regex_executor.h
- regex_executor.tcc